%global pypi_name	python-xmp-toolkit
%define module		xmp-toolkit

Name:		python-%{module}
Version:	2.0.2
Release:	%mkrel 4
Summary:	Python XMP Toolkit for working with metadata
Group:		Development/Python
License:	BSD
URL:		https://github.com/python-xmp-toolkit/python-xmp-toolkit
Source0:	%{pypi_source}

BuildArch:	noarch

BuildRequires:	exempi
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytest)

%description
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.

%package -n	python3-%{module}
Summary:	Python3 XMP Toolkit for working with metadata
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
Requires:	exempi

Obsoletes:	python-xmp-toolkit-doc < 2.0.2-1

%description -n	python3-%{module}
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libxmp

%check
#pytest

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.2-4.mga10
+ Revision: 2237179
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 daviddavid <daviddavid> 2.0.2-3.mga10
+ Revision: 2152832
- rebuild for python 3.13

* Fri Dec 27 2024 papoteur <papoteur> 2.0.2-2.mga10
+ Revision: 2130508
- add and use pytest

* Sat Jan 20 2024 daviddavid <daviddavid> 2.0.2-1.mga10
+ Revision: 2032488
- new version: 2.0.2
- switch to pyproject
- remove merged upstream patch

* Mon Dec 18 2023 papoteur <papoteur> 2.0.1-5.mga10
+ Revision: 2018937
- Mass Rebuild - Python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1832703
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.0.1-3.mga9
+ Revision: 1779497
- rebuild for python-3.10

* Wed Mar 17 2021 wally <wally> 2.0.1-2.mga9
+ Revision: 1704021
- rebuild for python 3.9

* Mon Jun 01 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1589367
- initial package python-xmp-toolkit

